<!-- MODULE {$module_name} - no_currency.tpl -->

{* ASSIGN VARIABLES *}

{if $payment_type == 'trustpay' || !isset($payment_type)}

    {assign var="tp_icon" value="trustpay-icon"}
    {assign var="tp_name" value="{l s='TrustPay gateway' mod='trustpay'}"}
    {assign var="tp_alt_img" value="{l s='TrustPay logo' mod='trustpay'}"}
    {assign var="tp_heading" value="{l s='TrustPay gateway currency warning' mod='trustpay'}"}

{elseif $payment_type == 'trustcard'}

    {assign var="tp_icon" value="trustcard-icon"}
    {assign var="tp_name" value="{l s='TrustCard gateway' mod='trustpay'}"}
    {assign var="tp_alt_img" value="{l s='TrustCard logo' mod='trustpay'}"}
    {assign var="tp_heading" value="{l s='TrustCard gateway currency warning' mod='trustpay'}"}

{/if}

{capture name=path}
    <a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" rel="nofollow" title="{l s='Go back to the Checkout' mod='trustpay'}">{l s='Checkout' mod='trustpay'}</a><span class="navigation-pipe">{$navigationPipe}</span>{l s='TrustPay payment' mod='trustpay'}
{/capture}

<h1 class="page-heading">
    {$tp_heading}
</h1>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}
    <p class="alert alert-warning">
        {l s='Your shopping cart is empty.' mod='trustpay'}
    </p>
{else}
        <p class="alert alert-danger">
            {l s='You are currently using currency' mod='trustpay'} {$cart_currency} ({$cart_currency_iso}), {l s='that you can\'t using on' mod='trustpay'} {$tp_name}.</span>
        </p>

        <div class="box cheque-box">
            <img src="{if isset($force_ssl) && $force_ssl}{$this_path_ssl}{else}{$this_path}{/if}views/img/{$tp_icon}.png" alt="{$tp_alt_img}" class="trustpay_payment_logo">
            <p>
                <strong class="dark">
                    {$tp_name} {l s='accept following currencies only:' mod='trustpay'}
                </strong>
                <ul class="currency_list">
                    <li>{l s='Euro' mod='trustpay'}</li>
                    <li>{l s='Czech koruna' mod='trustpay'}</li>
                    <!-- 
                    <li>{l s='US Dollar' mod='trustpay'}</li>
                    <li>{l s='Bulgarian lev' mod='trustpay'}</li>
                    <li>{l s='Danish krone' mod='trustpay'}</li>
                    <li>{l s='Pound Sterling' mod='trustpay'}</li>
                    <li>{l s='Forint' mod='trustpay'}</li>
                    <li>{l s='Norwegian krone' mod='trustpay'}</li>
                    <li>{l s='Romanian new leu' mod='trustpay'}</li>
                    <li>{l s='Turkish lira' mod='trustpay'}</li> 
                    -->
                </ul>
            </p>
            <p>
                {l s='Please change the currency if you want to continue or choose other payment methods.' mod='trustpay'}
            </p>
        </div>

        <p class="cart_navigation clearfix" id="cart_navigation">
            <a 
            class="button-exclusive btn btn-default" 
            href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}">
                <i class="icon-chevron-left"></i>{l s='Other payment methods' mod='trustpay'}
            </a>
        </p>
{/if}

<!-- /MODULE {$module_name} - no_currency.tpl -->