<!-- MODULE {$module_name} - payment_execution.tpl -->

{* ASSIGN VARIABLES *}

{if $payment_type == 'trustpay' || !isset($payment_type)}

    {assign var="tp_icon" value="trustpay-icon"}
    {assign var="tp_name" value="{l s='TrustPay payment' mod='trustpay'}"}
    {assign var="tp_alt_img" value="{l s='TrustPay logo' mod='trustpay'}"}
    {assign var="tp_heading" value="{l s='TrustPay domestic bank payment' mod='trustpay'}"}
    {assign var="tp_intro_text" value="{l s='Pay by instant payment in your domestic bank by TrustPay gateway.' mod='trustpay'}"}

{elseif $payment_type == 'trustcard'}

    {assign var="tp_icon" value="trustcard-icon"}
    {assign var="tp_name" value="{l s='TrustCard payment' mod='trustpay'}"}
    {assign var="tp_alt_img" value="{l s='TrustCard logo' mod='trustpay'}"}
    {assign var="tp_heading" value="{l s='TrustCard payment' mod='trustpay'}"}
    {assign var="tp_intro_text" value="{l s='Pay by your VISA, VISA Electron, MasterCard or Maestro bank card.' mod='trustpay'}"}

{/if}

{capture name=path}
    <a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" rel="nofollow" title="{l s='Go back to the Checkout' mod='trustpay'}">{l s='Checkout' mod='trustpay'}</a><span class="navigation-pipe">{$navigationPipe}</span>{$tp_name}
{/capture}

<h1 class="page-heading">
    {l s='Order summary' mod='trustpay'}
</h1>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}
    <p class="alert alert-warning">
        {l s='Your shopping cart is empty.' mod='trustpay'}
    </p>
{else}

    {if $debug == '1'}
        <div class="box cheque-box tb_debug">
            <h3 class="page-subheading tb_debug">
                {l s='Debugging mode' mod='trustpay'}
            </h3>
            <p>
				Payment Type: <strong>{$payment_type}</strong><br>
				Payment URL: <strong>{$payment_url}</strong></dd>
				Encryption key: <em>{l s='private value - available in the module back-office' mod='trustpay'}</em><br>
				AccountId: <strong>{$accountid}</strong><br>
				Amount: <strong>{$total}</strong><br>
				Currency: <strong>{$currency}</strong><br>
				Reference: <strong>{$order_id}</strong><br>
				PaymentType: {$paymenttype}<br>
				{if !empty($localization)}
					Localization: <strong>{$localization}</strong><br>
				{/if}
				{if !empty($country)}
					Country: <strong>{$country}</strong><br>
				{/if}
				{if !empty($description)}
					Description: <strong>{$description}</strong><br>
				{/if}
				{if !empty($email)}
					Email: <strong>{$email}</strong><br>
				{/if}
				Return URL (ReturnUrl): <strong>{$rurl}</strong><br>
				Cancel URL (CancelUrl): <strong>{$curl}</strong><br>
				Error URL (ErrorUrl): <strong>{$eurl}</strong><br>
				Notification URL (NotificationUrl): <strong>{$nurl}</strong><br>
				Data for signing: <strong>{$message}</strong><br>
				Signature: <strong>{$signature}</strong><br>
				JavaScript URL: <strong>{$js_popup}</strong><br>
				iFrame URL:<br><strong>{$payment_url}?AccountId={$accountid}&Amount={$total}&Currency={$currency}&Reference={$order_id}&ReturnUrl={$rurl}&CancelUrl={$curl}&ErrorUrl={$eurl}&NotificationUrl={$nurl}&PaymentType={$paymenttype}&Signature={$signature}&Localization={$localization}&Country={$country}&Description={$description}&Email={$email}</strong><br>
                <br>
                <strong>{l s='Note: Switch off "Debugging mode" immediately if module is in the production environment!' mod='trustpay'}</strong>
            </p>
        </div>
    {/if}

        <div class="box cheque-box">
            <h3 class="page-subheading">
                 {$tp_heading}
           </h3>

            <p class="cheque-indent">
                <strong class="dark">
                    <img src="{if isset($force_ssl) && $force_ssl}{$this_path_ssl}{else}{$this_path}{/if}views/img/{$tp_icon}.png" alt="{$tp_alt_img}" class="trustpay_payment_logo">
                    {$tp_intro_text}
                </strong>
            </p>

            <!-- jQuery -->
            <!-- <script src="{$js_path_jq}"></script> -->
            <script type="text/javascript" src="{$js_popup}"></script>
            <iframe id="TrustPayFrame" class="minimize-iframe" src="{$payment_url}?AccountId={$accountid}&Amount={$total}&Currency={$currency}&Reference={$order_id}&ReturnUrl={$rurl}&CancelUrl={$curl}&ErrorUrl={$eurl}&NotificationUrl={$nurl}&PaymentType={$paymenttype}&Signature={$signature}&Localization={$localization}&Country={$country}&Description={$description}&Email={$email}"></iframe>

            <p>
                <strong>{l s='Here is a short summary of your order' mod='trustpay'}</strong>
                <br>
                {l s='The total amount:' mod='trustpay'}
                <span id="amount" class="price"><strong>{displayPrice price=$total}</strong></span>
                {if $use_taxes == 1}
                    {l s='(tax incl.)' mod='trustpay'}
                {/if}
                <br>
                {if !empty($description)}
                    {l s='Payment description:' mod='trustpay'} <strong>{$description}</strong>
                {/if}
            </p>
                {if $debug == '1'} 
                <p>&nbsp;</p>
                    <p class="text-xs-center red-text">
                        {l s='The payment button is disabled because Debugging mode is allowed.' mod='trustpay'}
                    </p>
                {/if}
            <p>&nbsp;</p>
            <p class="red-text">
                <strong>{l s='Very important: After transaction on TrustPay payment gateway you will need to return on our e-shop. Do not interrupt the payment process until you will see the payment result on our website.' mod='trustpay'}</strong>
            </p>

        </div>

        <p class="cart_navigation clearfix" id="cart_navigation">
            <a 
            class="button-exclusive btn btn-default" 
            href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}">
                <i class="icon-chevron-left"></i>{l s='Other payment methods' mod='trustpay'}
            </a>
            <button 
            class="button btn btn-default button-medium show-popup" type="submit"{if $debug == '1'} disabled{/if}>
                <span>{l s='Display payment options' mod='trustpay'} <i class="icon-chevron-right right"></i></span>
            </button>
        </p>
{/if}

<!-- /MODULE {$module_name} - payment_execution.tpl -->